PingProbeResultSummary¶
- class oci.healthchecks.models.PingProbeResultSummary(**kwargs)¶
Bases:
objectThe results returned by running a ping probe. All times and durations are returned in milliseconds. All times are relative to the POSIX epoch (1970-01-01T00:00Z).
Attributes:
A constant which can be used with the error_category property of a PingProbeResultSummary.
A constant which can be used with the error_category property of a PingProbeResultSummary.
A constant which can be used with the error_category property of a PingProbeResultSummary.
A constant which can be used with the error_category property of a PingProbeResultSummary.
A constant which can be used with the error_category property of a PingProbeResultSummary.
A constant which can be used with the protocol property of a PingProbeResultSummary.
A constant which can be used with the protocol property of a PingProbeResultSummary.
Gets the connection of this PingProbeResultSummary.
Gets the dns of this PingProbeResultSummary.
Gets the domain_lookup_end of this PingProbeResultSummary.
Gets the domain_lookup_start of this PingProbeResultSummary.
Gets the error_category of this PingProbeResultSummary.
Gets the error_message of this PingProbeResultSummary.
Gets the icmp_code of this PingProbeResultSummary.
Gets the is_healthy of this PingProbeResultSummary.
Gets the is_timed_out of this PingProbeResultSummary.
Gets the key of this PingProbeResultSummary.
Gets the latency_in_ms of this PingProbeResultSummary.
Gets the probe_configuration_id of this PingProbeResultSummary.
Gets the protocol of this PingProbeResultSummary.
Gets the start_time of this PingProbeResultSummary.
Gets the target of this PingProbeResultSummary.
Gets the vantage_point_name of this PingProbeResultSummary.
Methods:
__init__(**kwargs)Initializes a new PingProbeResultSummary object with values from keyword arguments.
- ERROR_CATEGORY_DNS = 'DNS'¶
A constant which can be used with the error_category property of a PingProbeResultSummary. This constant has a value of “DNS”
- ERROR_CATEGORY_NETWORK = 'NETWORK'¶
A constant which can be used with the error_category property of a PingProbeResultSummary. This constant has a value of “NETWORK”
- ERROR_CATEGORY_NONE = 'NONE'¶
A constant which can be used with the error_category property of a PingProbeResultSummary. This constant has a value of “NONE”
- ERROR_CATEGORY_SYSTEM = 'SYSTEM'¶
A constant which can be used with the error_category property of a PingProbeResultSummary. This constant has a value of “SYSTEM”
- ERROR_CATEGORY_TRANSPORT = 'TRANSPORT'¶
A constant which can be used with the error_category property of a PingProbeResultSummary. This constant has a value of “TRANSPORT”
- PROTOCOL_ICMP = 'ICMP'¶
A constant which can be used with the protocol property of a PingProbeResultSummary. This constant has a value of “ICMP”
- PROTOCOL_TCP = 'TCP'¶
A constant which can be used with the protocol property of a PingProbeResultSummary. This constant has a value of “TCP”
- __init__(**kwargs)¶
Initializes a new PingProbeResultSummary object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
key (str) – The value to assign to the key property of this PingProbeResultSummary.
probe_configuration_id (str) – The value to assign to the probe_configuration_id property of this PingProbeResultSummary.
start_time (float) – The value to assign to the start_time property of this PingProbeResultSummary.
target (str) – The value to assign to the target property of this PingProbeResultSummary.
vantage_point_name (str) – The value to assign to the vantage_point_name property of this PingProbeResultSummary.
is_timed_out (bool) – The value to assign to the is_timed_out property of this PingProbeResultSummary.
is_healthy (bool) – The value to assign to the is_healthy property of this PingProbeResultSummary.
error_category (str) – The value to assign to the error_category property of this PingProbeResultSummary. Allowed values for this property are: “NONE”, “DNS”, “TRANSPORT”, “NETWORK”, “SYSTEM”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
error_message (str) – The value to assign to the error_message property of this PingProbeResultSummary.
protocol (str) – The value to assign to the protocol property of this PingProbeResultSummary. Allowed values for this property are: “ICMP”, “TCP”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
connection (oci.healthchecks.models.Connection) – The value to assign to the connection property of this PingProbeResultSummary.
dns (oci.healthchecks.models.DNS) – The value to assign to the dns property of this PingProbeResultSummary.
domain_lookup_start (float) – The value to assign to the domain_lookup_start property of this PingProbeResultSummary.
domain_lookup_end (float) – The value to assign to the domain_lookup_end property of this PingProbeResultSummary.
latency_in_ms (float) – The value to assign to the latency_in_ms property of this PingProbeResultSummary.
icmp_code (int) – The value to assign to the icmp_code property of this PingProbeResultSummary.
- property connection¶
Gets the connection of this PingProbeResultSummary.
- Returns
The connection of this PingProbeResultSummary.
- Return type
- property dns¶
Gets the dns of this PingProbeResultSummary.
- Returns
The dns of this PingProbeResultSummary.
- Return type
- property domain_lookup_end¶
Gets the domain_lookup_end of this PingProbeResultSummary. The time immediately before the vantage point finishes the domain name lookup for the resource.
- Returns
The domain_lookup_end of this PingProbeResultSummary.
- Return type
float
- property domain_lookup_start¶
Gets the domain_lookup_start of this PingProbeResultSummary. The time immediately before the vantage point starts the domain name lookup for the resource.
- Returns
The domain_lookup_start of this PingProbeResultSummary.
- Return type
float
- property error_category¶
Gets the error_category of this PingProbeResultSummary. The category of error if an error occurs executing the probe. The errorMessage field provides a message with the error details. * NONE - No error * DNS - DNS errors * TRANSPORT - Transport-related errors, for example a “TLS certificate expired” error. * NETWORK - Network-related errors, for example a “network unreachable” error. * SYSTEM - Internal system errors.
Allowed values for this property are: “NONE”, “DNS”, “TRANSPORT”, “NETWORK”, “SYSTEM”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The error_category of this PingProbeResultSummary.
- Return type
str
- property error_message¶
Gets the error_message of this PingProbeResultSummary. The error information indicating why a probe execution failed.
- Returns
The error_message of this PingProbeResultSummary.
- Return type
str
- property icmp_code¶
Gets the icmp_code of this PingProbeResultSummary. The ICMP code of the response message. This field is not used when the protocol is set to TCP. For more information on ICMP codes, see Internet Control Message Protocol (ICMP) Parameters.
- Returns
The icmp_code of this PingProbeResultSummary.
- Return type
int
- property is_healthy¶
Gets the is_healthy of this PingProbeResultSummary. True if the probe result is determined to be healthy based on probe type-specific criteria. For HTTP probes, a probe result is considered healthy if the HTTP response code is greater than or equal to 200 and less than 300.
- Returns
The is_healthy of this PingProbeResultSummary.
- Return type
bool
- property is_timed_out¶
Gets the is_timed_out of this PingProbeResultSummary. True if the probe did not complete before the configured timeoutInSeconds value.
- Returns
The is_timed_out of this PingProbeResultSummary.
- Return type
bool
- property key¶
Gets the key of this PingProbeResultSummary. A value identifying this specific probe result. The key is only unique within the results of its probe configuration. The key may be reused after 90 days.
- Returns
The key of this PingProbeResultSummary.
- Return type
str
- property latency_in_ms¶
Gets the latency_in_ms of this PingProbeResultSummary. The latency of the probe execution, in milliseconds.
- Returns
The latency_in_ms of this PingProbeResultSummary.
- Return type
float
- property probe_configuration_id¶
Gets the probe_configuration_id of this PingProbeResultSummary. The OCID of the monitor or on-demand probe responsible for creating this result.
- Returns
The probe_configuration_id of this PingProbeResultSummary.
- Return type
str
- property protocol¶
Gets the protocol of this PingProbeResultSummary. Allowed values for this property are: “ICMP”, “TCP”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The protocol of this PingProbeResultSummary.
- Return type
str
- property start_time¶
Gets the start_time of this PingProbeResultSummary. The date and time the probe was executed, expressed in milliseconds since the POSIX epoch. This field is defined by the PerformanceResourceTiming interface of the W3C Resource Timing specification. For more information, see Resource Timing.
- Returns
The start_time of this PingProbeResultSummary.
- Return type
float
- property target¶
Gets the target of this PingProbeResultSummary. The target hostname or IP address of the probe.
- Returns
The target of this PingProbeResultSummary.
- Return type
str
- property vantage_point_name¶
Gets the vantage_point_name of this PingProbeResultSummary. The name of the vantage point that executed the probe.
- Returns
The vantage_point_name of this PingProbeResultSummary.
- Return type
str